using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
CategoryBuilder.Create("Mexico", "Este mod esta echo con el fin de entretener y no molestar a las personas por el contenido, este mod lo hice por que no existia ningun otro mod mexicano que contenga a la marina mexicana y la guardia nacional entonces decidi hacerlo yo mismo", ModAPI.LoadSprite("categoriaThumb.png"));

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Soldado Marino", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Es un soldado de mexico", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Skins/skin thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Skin/Personajes/skin layer.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);


//Soldado
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Soldado de la guardia nacional", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Es un soldado de mexico", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Skins/gn thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Skin/Personajes/skin layer3.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);


//Policia
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Policia Federal", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Policia federal mexicana", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Skins/policia thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Skin/Personajes/skin layer2.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);


//Malo
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "El novato", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Es un recluta nuevo en la banda roja", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Skins/malo thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Skin/Personajes/skin4.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);


//Malo
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "El tortas", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Es experimentado y trabaja en el bando naranja y opera encubierto a menudo", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Skins/re malo thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Skin/Personajes/skin5.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);


//Malo
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "El joven", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Es el jefe de la banda roja es joven", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Skins/eljefethumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Skin/Personajes/skin6.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);


//Malo
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "El creador", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Es el que creo este mod que estas usando :) espero te gusto el mod", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Skins/creator thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Skin/Personajes/skin7.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);


//Malo
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Civil", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Es un civil :)", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Skins/señor thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Skin/Personajes/skin8.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);


//Malo
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Civil2", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "No se quien se toma en ver la descripcion pero mandame captura de que tu te los lees xd", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Skins/civil thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Skin/Personajes/skin9.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);


//Malo
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Chaka", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Un chaka con gorra y es de barrio", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Skins/Chakathumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Skin/Personajes/skin10.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);


//Malo
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "civil3", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Es un civil normal que no se mete en problemas", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Skins/civil3thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Skin/Personajes/skin11.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);


//Malo
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Veterano", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Es uno de las tropas de el bando rojo", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Skins/Rojothumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Skin/Personajes/skin12.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);


//Malo
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "El blanco", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Es el jefe de los naranjas y nadie ha podido quitarle su trono desde años", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Skins/NJJthumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Skin/Personajes/skin14.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);


//Malo
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "El viejo", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Es uno de los mejores del bando naranja operando desde años", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Skins/NJthumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Skin/Personajes/skin13.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);


//Soldado
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Soldado Marino ppg", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Es un soldado de mexico ppg", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Skins/skin thumbppg.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Skin/Personajes/skin layerm.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);


//Soldado
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Asaltante", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Se dedica a asaltar combis y da mucho coraje que te quite las cosas y luego golpea a la gente.¿Por que no lo matas? >:D", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Skins/AsaltadorThumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Skin/Personajes/skin15.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Cris", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "es cris", //new item description
        CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("cskin thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("cskin layer.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
        NameOverride = "M4A1",
        DescriptionOverride = "Arma M4A1 Usada por la guardia nacional, la marina, los policias y algunos malos.Es bastante potente",
        CategoryOverride = ModAPI.FindCategory("Mexico"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armas/gunThumbnail.png"),
        AfterSpawn = (Instance) =>
        {
            //This line of code sets the sprite after the gun is spawned in.
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Arma/gun.png");
            //Since we'll be referencing this a few times in the code, it's better to cache it here to save like, a couple of nanoseconds. I guess.
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            //The way most guns work in People Playground is by taking a ScriptableObject called "Cartridge", and loading it into the FirearmBehaviour. Some things here are self-explanatory.
            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm"); 
            //In order to get a baseline of the Cartridge, it's easier to load in a pre-existing one. A list of the game's cartridges will be found underneath this.
            customCartridge.name = "Extremely Regular Bullet"; 
            //set a new name for the new cartridge
            customCartridge.Damage *= 14f; 
            //notice that this is using *= instead of =, that's because it's modifying the original cartridge's values instead of setting them from scratch.
            customCartridge.StartSpeed *= 0.7f; //Bullet velocity
            customCartridge.Recoil *= 2f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.6f; //Changes the accuracy of a bullet after colliding with an object.
            customCartridge.ImpactForce *= 3f; //The force applied once the bullet makes collides
            
            //remember that variable we bullied earlier? this is him now. a gun. i bet you feel stupid
            firearm.Cartridge = customCartridge;

            //This array is randomly picked from when the gun is fired.
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("pow.wav"),
                ModAPI.LoadSound("bang.wav"),
                ModAPI.LoadSound("pop.wav")
            };
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Pistol"),
        NameOverride = "Pistola de oro",
        DescriptionOverride = "Pistola dorada es para los malos >:D",
        CategoryOverride = ModAPI.FindCategory("Mexico"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armas/gunThumbnail2.png"),
        AfterSpawn = (Instance) =>
        {
            //This line of code sets the sprite after the gun is spawned in.
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Arma/gun2.png");
            //Since we'll be referencing this a few times in the code, it's better to cache it here to save like, a couple of nanoseconds. I guess.
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            //The way most guns work in People Playground is by taking a ScriptableObject called "Cartridge", and loading it into the FirearmBehaviour. Some things here are self-explanatory.
            Cartridge customCartridge = ModAPI.FindCartridge("120mm"); 
            //In order to get a baseline of the Cartridge, it's easier to load in a pre-existing one. A list of the game's cartridges will be found underneath this.
            customCartridge.name = "Extremely Regular Bullet"; 
            //set a new name for the new cartridge
            customCartridge.Damage *= 7f; 
            //notice that this is using *= instead of =, that's because it's modifying the original cartridge's values instead of setting them from scratch.
            customCartridge.StartSpeed *= 0.4f; //Bullet velocity
            customCartridge.Recoil *= 5f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.25f; //Changes the accuracy of a bullet after colliding with an object.
            customCartridge.ImpactForce *= 5f; //The force applied once the bullet makes collides
            
            //remember that variable we bullied earlier? this is him now. a gun. i bet you feel stupid
            firearm.Cartridge = customCartridge;

            //This array is randomly picked from when the gun is fired.
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("pow.wav"),
                ModAPI.LoadSound("bang.wav"),
                ModAPI.LoadSound("pop.wav")
            };
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("9mm Pistol"),
        NameOverride = "Pistola para los polis",
        DescriptionOverride = "Pistola usada por los policias",
        CategoryOverride = ModAPI.FindCategory("Mexico"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armas/gunThumbnail4.png"),
        AfterSpawn = (Instance) =>
        {
            //This line of code sets the sprite after the gun is spawned in.
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Arma/gun4.png");
            //Since we'll be referencing this a few times in the code, it's better to cache it here to save like, a couple of nanoseconds. I guess.
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            //The way most guns work in People Playground is by taking a ScriptableObject called "Cartridge", and loading it into the FirearmBehaviour. Some things here are self-explanatory.
            Cartridge customCartridge = ModAPI.FindCartridge("120mm"); 
            //In order to get a baseline of the Cartridge, it's easier to load in a pre-existing one. A list of the game's cartridges will be found underneath this.
            customCartridge.name = "Extremely Regular Bullet"; 
            //set a new name for the new cartridge
            customCartridge.Damage *= 7f; 
            //notice that this is using *= instead of =, that's because it's modifying the original cartridge's values instead of setting them from scratch.
            customCartridge.StartSpeed *= 0.4f; //Bullet velocity
            customCartridge.Recoil *= 5f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.25f; //Changes the accuracy of a bullet after colliding with an object.
            customCartridge.ImpactForce *= 5f; //The force applied once the bullet makes collides
            
            //remember that variable we bullied earlier? this is him now. a gun. i bet you feel stupid
            firearm.Cartridge = customCartridge;

            //This array is randomly picked from when the gun is fired.
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("pow.wav"),
                ModAPI.LoadSound("bang.wav"),
                ModAPI.LoadSound("pop.wav")
            };
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Revolver"),
        NameOverride = "Arma de 6 balas",
        DescriptionOverride = "Arma de 6 balas para los polis o malos >:D",
        CategoryOverride = ModAPI.FindCategory("Mexico"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armas/gunThumbnail3.png"),
        AfterSpawn = (Instance) =>
        {
            //This line of code sets the sprite after the gun is spawned in.
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Arma/gun3.png");
            //Since we'll be referencing this a few times in the code, it's better to cache it here to save like, a couple of nanoseconds. I guess.
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            //The way most guns work in People Playground is by taking a ScriptableObject called "Cartridge", and loading it into the FirearmBehaviour. Some things here are self-explanatory.
            Cartridge customCartridge = ModAPI.FindCartridge("7.62x25mm"); 
            //In order to get a baseline of the Cartridge, it's easier to load in a pre-existing one. A list of the game's cartridges will be found underneath this.
            customCartridge.name = "Extremely Regular Bullet"; 
            //set a new name for the new cartridge
            customCartridge.Damage *= 12f; 
            //notice that this is using *= instead of =, that's because it's modifying the original cartridge's values instead of setting them from scratch.
            customCartridge.StartSpeed *= 0.2f; //Bullet velocity
            customCartridge.Recoil *= 15f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.8f; //Changes the accuracy of a bullet after colliding with an object.
            customCartridge.ImpactForce *= 8f; //The force applied once the bullet makes collides
            
            //remember that variable we bullied earlier? this is him now. a gun. i bet you feel stupid
            firearm.Cartridge = customCartridge;

            //This array is randomly picked from when the gun is fired.
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("pow.wav"),
                ModAPI.LoadSound("bang.wav"),
                ModAPI.LoadSound("pop.wav")
            };
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Shotgun"),
        NameOverride = "Escopeta",
        DescriptionOverride = "Escopeta usada normalmente para los policias federales",
        CategoryOverride = ModAPI.FindCategory("Mexico"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armas/gunThumbnail5.png"),
        AfterSpawn = (Instance) =>
        {
            //This line of code sets the sprite after the gun is spawned in.
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Arma/gun5.png");
            //Since we'll be referencing this a few times in the code, it's better to cache it here to save like, a couple of nanoseconds. I guess.
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            //The way most guns work in People Playground is by taking a ScriptableObject called "Cartridge", and loading it into the FirearmBehaviour. Some things here are self-explanatory.
            Cartridge customCartridge = ModAPI.FindCartridge("38 Special"); 
            //In order to get a baseline of the Cartridge, it's easier to load in a pre-existing one. A list of the game's cartridges will be found underneath this.
            customCartridge.name = "Extremely Regular Bullet"; 
            //set a new name for the new cartridge
            customCartridge.Damage *= 12f; 
            //notice that this is using *= instead of =, that's because it's modifying the original cartridge's values instead of setting them from scratch.
            customCartridge.StartSpeed *= 0.1f; //Bullet velocity
            customCartridge.Recoil *= 2f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.6f; //Changes the accuracy of a bullet after colliding with an object.
            customCartridge.ImpactForce *= 1f; //The force applied once the bullet makes collides
            
            //remember that variable we bullied earlier? this is him now. a gun. i bet you feel stupid
            firearm.Cartridge = customCartridge;

            //This array is randomly picked from when the gun is fired.
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("pow.wav"),
                ModAPI.LoadSound("bang.wav"),
                ModAPI.LoadSound("pop.wav")
            };
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Flintlock Pistol"),
        NameOverride = "Arma pronto",
        DescriptionOverride = "Esta arma no esta todavia",
        CategoryOverride = ModAPI.FindCategory("Mexico"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armas/gunThumbnail6.png"),
        AfterSpawn = (Instance) =>
        {
            //This line of code sets the sprite after the gun is spawned in.
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Arma/gun6.png");
            //Since we'll be referencing this a few times in the code, it's better to cache it here to save like, a couple of nanoseconds. I guess.
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            //The way most guns work in People Playground is by taking a ScriptableObject called "Cartridge", and loading it into the FirearmBehaviour. Some things here are self-explanatory.
            Cartridge customCartridge = ModAPI.FindCartridge("120mm"); 
            //In order to get a baseline of the Cartridge, it's easier to load in a pre-existing one. A list of the game's cartridges will be found underneath this.
            customCartridge.name = "Extremely Regular Bullet"; 
            //set a new name for the new cartridge
            customCartridge.Damage *= 14f; 
            //notice that this is using *= instead of =, that's because it's modifying the original cartridge's values instead of setting them from scratch.
            customCartridge.StartSpeed *= 0.4f; //Bullet velocity
            customCartridge.Recoil *= 6f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.7f; //Changes the accuracy of a bullet after colliding with an object.
            customCartridge.ImpactForce *= 7f; //The force applied once the bullet makes collides
            
            //remember that variable we bullied earlier? this is him now. a gun. i bet you feel stupid
            firearm.Cartridge = customCartridge;

            //This array is randomly picked from when the gun is fired.
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("pow.wav"),
                ModAPI.LoadSound("bang.wav"),
                ModAPI.LoadSound("pop.wav")
            };
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("AK-47"),
        NameOverride = "Arma para los carteles",
        DescriptionOverride = "Es un arma comun entre los malos",
        CategoryOverride = ModAPI.FindCategory("Mexico"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armas/gunThumbnail7.png"),
        AfterSpawn = (Instance) =>
        {
            //This line of code sets the sprite after the gun is spawned in.
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Arma/gun7.png");
            //Since we'll be referencing this a few times in the code, it's better to cache it here to save like, a couple of nanoseconds. I guess.
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            //The way most guns work in People Playground is by taking a ScriptableObject called "Cartridge", and loading it into the FirearmBehaviour. Some things here are self-explanatory.
            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm"); 
            //In order to get a baseline of the Cartridge, it's easier to load in a pre-existing one. A list of the game's cartridges will be found underneath this.
            customCartridge.name = "Extremely Regular Bullet"; 
            //set a new name for the new cartridge
            customCartridge.Damage *= 12f; 
            //notice that this is using *= instead of =, that's because it's modifying the original cartridge's values instead of setting them from scratch.
            customCartridge.StartSpeed *= 0.2f; //Bullet velocity
            customCartridge.Recoil *= 3f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.3f; //Changes the accuracy of a bullet after colliding with an object.
            customCartridge.ImpactForce *= 4f; //The force applied once the bullet makes collides
            
            //remember that variable we bullied earlier? this is him now. a gun. i bet you feel stupid
            firearm.Cartridge = customCartridge;

            //This array is randomly picked from when the gun is fired.
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("pow.wav"),
                ModAPI.LoadSound("bang.wav"),
                ModAPI.LoadSound("pop.wav")
            };
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("AK-47"),
        NameOverride = "Arma dorada se calcula que vale 15mil pesos :O",
        DescriptionOverride = "Es un arma dorada y con pequeños diamantes normalmente la usa los criminales con dinero",
        CategoryOverride = ModAPI.FindCategory("Mexico"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armas/gunThumbnail8.png"),
        AfterSpawn = (Instance) =>
        {
            //This line of code sets the sprite after the gun is spawned in.
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Arma/gun8.png");
            //Since we'll be referencing this a few times in the code, it's better to cache it here to save like, a couple of nanoseconds. I guess.
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            //The way most guns work in People Playground is by taking a ScriptableObject called "Cartridge", and loading it into the FirearmBehaviour. Some things here are self-explanatory.
            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm"); 
            //In order to get a baseline of the Cartridge, it's easier to load in a pre-existing one. A list of the game's cartridges will be found underneath this.
            customCartridge.name = "Extremely Regular Bullet"; 
            //set a new name for the new cartridge
            customCartridge.Damage *= 13f; 
            //notice that this is using *= instead of =, that's because it's modifying the original cartridge's values instead of setting them from scratch.
            customCartridge.StartSpeed *= 0.3f; //Bullet velocity
            customCartridge.Recoil *= 3f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.3f; //Changes the accuracy of a bullet after colliding with an object.
            customCartridge.ImpactForce *= 4f; //The force applied once the bullet makes collides
            
            //remember that variable we bullied earlier? this is him now. a gun. i bet you feel stupid
            firearm.Cartridge = customCartridge;

            //This array is randomly picked from when the gun is fired.
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("pow.wav"),
                ModAPI.LoadSound("bang.wav"),
                ModAPI.LoadSound("pop.wav")
            };
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
        NameOverride = "FX-05 Carabine",
        DescriptionOverride = "Arma de los militares y guardia nacional.",
        CategoryOverride = ModAPI.FindCategory("Mexico"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armas/gunThumbnail9.png"),
        AfterSpawn = (Instance) =>
        {
            //This line of code sets the sprite after the gun is spawned in.
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Arma/gun9.png", 2.3f);
            //Since we'll be referencing this a few times in the code, it's better to cache it here to save like, a couple of nanoseconds. I guess.
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            //The way most guns work in People Playground is by taking a ScriptableObject called "Cartridge", and loading it into the FirearmBehaviour. Some things here are self-explanatory.
            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm"); 
            //In order to get a baseline of the Cartridge, it's easier to load in a pre-existing one. A list of the game's cartridges will be found underneath this.
            customCartridge.name = "Extremely Regular Bullet"; 
            //set a new name for the new cartridge
            customCartridge.Damage *= 17f; 
            //notice that this is using *= instead of =, that's because it's modifying the original cartridge's values instead of setting them from scratch.
            customCartridge.StartSpeed *= 0.4f; //Bullet velocity
            customCartridge.Recoil *= 5f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.8f; //Changes the accuracy of a bullet after colliding with an object.
            customCartridge.ImpactForce *= 4f; //The force applied once the bullet makes collides
            
            //remember that variable we bullied earlier? this is him now. a gun. i bet you feel stupid
            firearm.Cartridge = customCartridge;

            //This array is randomly picked from when the gun is fired.
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("pow.wav"),
                ModAPI.LoadSound("bang.wav"),
                ModAPI.LoadSound("pop.wav")
            };
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("AK-47"),
        NameOverride = "Sig Sauer-516",
        DescriptionOverride = "Arma de la marina.",
        CategoryOverride = ModAPI.FindCategory("Mexico"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armas/sigThumb.png"),
        AfterSpawn = (Instance) =>
        {
            //This line of code sets the sprite after the gun is spawned in.
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Arma/sig sauer-516.png", 5.8f);
            //Since we'll be referencing this a few times in the code, it's better to cache it here to save like, a couple of nanoseconds. I guess.
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            //The way most guns work in People Playground is by taking a ScriptableObject called "Cartridge", and loading it into the FirearmBehaviour. Some things here are self-explanatory.
            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm"); 
            //In order to get a baseline of the Cartridge, it's easier to load in a pre-existing one. A list of the game's cartridges will be found underneath this.
            customCartridge.name = "Extremely Regular Bullet"; 
            //set a new name for the new cartridge
            customCartridge.Damage *= 19f; 
            //notice that this is using *= instead of =, that's because it's modifying the original cartridge's values instead of setting them from scratch.
            customCartridge.StartSpeed *= 0.2f; //Bullet velocity
            customCartridge.Recoil *= 4f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.7f; //Changes the accuracy of a bullet after colliding with an object.
            customCartridge.ImpactForce *= 5f; //The force applied once the bullet makes collides
            
            //remember that variable we bullied earlier? this is him now. a gun. i bet you feel stupid
            firearm.Cartridge = customCartridge;

            //This array is randomly picked from when the gun is fired.
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("pow.wav"),
                ModAPI.LoadSound("bang.wav"),
                ModAPI.LoadSound("pop.wav")
            };
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("AK-47"),
        NameOverride = "AR-15",
        DescriptionOverride = "Arma usada por carteles mayormente",
        CategoryOverride = ModAPI.FindCategory("Mexico"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armas/AR-15Thumb.png"),
        AfterSpawn = (Instance) =>
        {
            //This line of code sets the sprite after the gun is spawned in.
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Arma/AR-15.png", 9.7f);
            //Since we'll be referencing this a few times in the code, it's better to cache it here to save like, a couple of nanoseconds. I guess.
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            //The way most guns work in People Playground is by taking a ScriptableObject called "Cartridge", and loading it into the FirearmBehaviour. Some things here are self-explanatory.
            Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm"); 
            //In order to get a baseline of the Cartridge, it's easier to load in a pre-existing one. A list of the game's cartridges will be found underneath this.
            customCartridge.name = "Extremely Regular Bullet"; 
            //set a new name for the new cartridge
            customCartridge.Damage *= 16f; 
            //notice that this is using *= instead of =, that's because it's modifying the original cartridge's values instead of setting them from scratch.
            customCartridge.StartSpeed *= 0.5f; //Bullet velocity
            customCartridge.Recoil *= 3f;
            customCartridge.PenetrationRandomAngleMultiplier *= 0.5f; //Changes the accuracy of a bullet after colliding with an object.
            customCartridge.ImpactForce *= 3f; //The force applied once the bullet makes collides
            
            //remember that variable we bullied earlier? this is him now. a gun. i bet you feel stupid
            firearm.Cartridge = customCartridge;

            //This array is randomly picked from when the gun is fired.
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("pow.wav"),
                ModAPI.LoadSound("bang.wav"),
                ModAPI.LoadSound("pop.wav")
            };
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Knife"), //item to derive from
        NameOverride = "Cuchillo Tactico de los militares", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Un cuchillo para cortar mas que mantquilla >:D", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armas/cuchillo tacticoThumbnail.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //get the SpriteRenderer and replace its sprite with a custom one
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Arma/cuchillo.png"); 
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Flask"), //item to derive from
        NameOverride = "Cerveza", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Emborracha no manejes borracho porfa :c", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("czThumbnail.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //get the SpriteRenderer and replace its sprite with a custom one
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("cerveza.png"); 
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Soap"), //item to derive from
        NameOverride = "Dinero", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Pagas impuestos con esto", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("dnThumbnail.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //get the SpriteRenderer and replace its sprite with a custom one
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("dinero.png"); 
        }
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Soap"), //item to derive from
        NameOverride = "Droga", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Con esto se la inyectan o la venden los carteles se hacen ricos con esto", //new item description
        CategoryOverride = ModAPI.FindCategory("Mexico"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("CCThumbnail.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //get the SpriteRenderer and replace its sprite with a custom one
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("droga.png"); 
        }
    }
);



ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Rod"),
                             NameOverride = "Casco",
                             DescriptionOverride = "Casco de la marina",
                             CategoryOverride = ModAPI.FindCategory("Mexico"),
                             ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armaduras/helmet Thumbnail.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Armadura/helmet.png", 8f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1000f;
                                 armor.armorPiece = "Head"; //insert what part of body you want probably bulletproof armor gonna use UpperBody and MiddleBody
                                 armor.armorTier = 1000;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Rod"),
                             NameOverride = "Chaleco Antibalas1M",
                             DescriptionOverride = "Chaleco antibalas de la marina",
                             CategoryOverride = ModAPI.FindCategory("Mexico"),
                             ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armaduras/upper Thumbnail.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Armadura/upper.png", 1f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1000f;
                                 armor.armorPiece = "UpperBody"; //insert what part of body you want probably bulletproof armor gonna use UpperBody and MiddleBody
                                 armor.armorTier = 1000;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Rod"),
                             NameOverride = "Chaleco Antibalas2M",
                             DescriptionOverride = "Chaleco de la marina",
                             CategoryOverride = ModAPI.FindCategory("Mexico"),
                             ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armaduras/middle Thumbnail.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Armadura/middle.png", 1f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1000f;
                                 armor.armorPiece = "MiddleBody"; //insert what part of body you want probably bulletproof armor gonna use UpperBody and MiddleBody
                                 armor.armorTier = 1000;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Rod"),
                             NameOverride = "Chaleco Antibalas3M",
                             DescriptionOverride = "Chaleco antibalas de la marina",
                             CategoryOverride = ModAPI.FindCategory("Mexico"),
                             ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armaduras/lower Thumbnail.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Armadura/lower.png", 1f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1000f;
                                 armor.armorPiece = "LowerBody"; //insert what part of body you want probably bulletproof armor gonna use UpperBody and MiddleBody
                                 armor.armorTier = 1000;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Rod"),
                             NameOverride = "Casco2",
                             DescriptionOverride = "Casco de la GN",
                             CategoryOverride = ModAPI.FindCategory("Mexico"),
                             ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armaduras/helmet Thumbnail2.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Armadura/helmet2.png", 1f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1000f;
                                 armor.armorPiece = "Head"; //insert what part of body you want probably bulletproof armor gonna use UpperBody and MiddleBody
                                 armor.armorTier = 1000;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Rod"),
                             NameOverride = "Chaleco Antibalas1GN",
                             DescriptionOverride = "Chaleco antibalas de la guardia nacional",
                             CategoryOverride = ModAPI.FindCategory("Mexico"),
                             ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armaduras/upperThumbnail2.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Armadura/upper2.png", 1f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1000f;
                                 armor.armorPiece = "UpperBody"; //insert what part of body you want probably bulletproof armor gonna use UpperBody and MiddleBody
                                 armor.armorTier = 1000;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Rod"),
                             NameOverride = "Chaleco Antibalas2GN",
                             DescriptionOverride = "Chaleco Antibalas de la GN",
                             CategoryOverride = ModAPI.FindCategory("Mexico"),
                             ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armaduras/middleThumbnail2.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Armadura/middle2.png", 1f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1000f;
                                 armor.armorPiece = "MiddleBody"; //insert what part of body you want probably bulletproof armor gonna use UpperBody and MiddleBody
                                 armor.armorTier = 1000;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Rod"),
                             NameOverride = "Chaleco Antibalas3GN",
                             DescriptionOverride = "Chaleco de la guardia nacional",
                             CategoryOverride = ModAPI.FindCategory("Mexico"),
                             ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armaduras/lowerThumbnail2.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Armadura/lower2.png", 1f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1000f;
                                 armor.armorPiece = "LowerBody"; //insert what part of body you want probably bulletproof armor gonna use UpperBody and MiddleBody
                                 armor.armorTier = 1000;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Rod"),
                             NameOverride = "Casco3",
                             DescriptionOverride = "Casco de la policia federal",
                             CategoryOverride = ModAPI.FindCategory("Mexico"),
                             ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armaduras/helmet Thumbnail3.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Armadura/helmet3.png", 1f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1000f;
                                 armor.armorPiece = "Head"; //insert what part of body you want probably bulletproof armor gonna use UpperBody and MiddleBody
                                 armor.armorTier = 1000;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Rod"),
                             NameOverride = "Chaleco Antibalas1PF",
                             DescriptionOverride = "Chaleco antibalas de los polis no confundirse",
                             CategoryOverride = ModAPI.FindCategory("Mexico"),
                             ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armaduras/upperThumbnail3.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Armadura/upper3.png", 1f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1000f;
                                 armor.armorPiece = "UpperBody"; //insert what part of body you want probably bulletproof armor gonna use UpperBody and MiddleBody
                                 armor.armorTier = 1000;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Rod"),
                             NameOverride = "Chaleco Antibalas2PF",
                             DescriptionOverride = "Chaleco Antibalas de polis no se confundad",
                             CategoryOverride = ModAPI.FindCategory("Mexico"),
                             ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armaduras/middleThumbnail3.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Armadura/middle3.png", 1f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1000f;
                                 armor.armorPiece = "MiddleBody"; //insert what part of body you want probably bulletproof armor gonna use UpperBody and MiddleBody
                                 armor.armorTier = 1000;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Rod"),
                             NameOverride = "Chaleco Antibalas3PF",
                             DescriptionOverride = "Chaleco de la policia no se confundan",
                             CategoryOverride = ModAPI.FindCategory("Mexico"),
                             ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armaduras/lowerThumbnail3.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Armadura/lower3.png", 1f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1000f;
                                 armor.armorPiece = "LowerBody"; //insert what part of body you want probably bulletproof armor gonna use UpperBody and MiddleBody
                                 armor.armorTier = 1000;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Rod"),
                             NameOverride = "Casco4",
                             DescriptionOverride = "Casco de los malos",
                             CategoryOverride = ModAPI.FindCategory("Mexico"),
                             ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armaduras/helmet Thumbnail4.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Armadura/helmet4.png", 1f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1000f;
                                 armor.armorPiece = "Head"; //insert what part of body you want probably bulletproof armor gonna use UpperBody and MiddleBody
                                 armor.armorTier = 1000;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Rod"),
                             NameOverride = "Chaleco Antibalas1MS",
                             DescriptionOverride = "Chaleco Antibalas de los malo >:D",
                             CategoryOverride = ModAPI.FindCategory("Mexico"),
                             ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armaduras/upperThumbnail4.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Armadura/upper4.png", 1f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1000f;
                                 armor.armorPiece = "UpperBody"; //insert what part of body you want probably bulletproof armor gonna use UpperBody and MiddleBody
                                 armor.armorTier = 1000;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Rod"),
                             NameOverride = "Chaleco Antibalas2MS",
                             DescriptionOverride = "Chaleco antibalas de los malos >:)",
                             CategoryOverride = ModAPI.FindCategory("Mexico"),
                             ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armaduras/middleThumbnail4.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Armadura/middle4.png", 1f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1000f;
                                 armor.armorPiece = "MiddleBody"; //insert what part of body you want probably bulletproof armor gonna use UpperBody and MiddleBody
                                 armor.armorTier = 1000;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Rod"),
                             NameOverride = "Chaleco Antibalas3MS",
                             DescriptionOverride = "Chaleco antibalas de los malos",
                             CategoryOverride = ModAPI.FindCategory("Mexico"),
                             ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armaduras/lowerThumbnail4.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Armadura/lower4.png", 1f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1000f;
                                 armor.armorPiece = "LowerBody"; //insert what part of body you want probably bulletproof armor gonna use UpperBody and MiddleBody
                                 armor.armorTier = 1000;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Rod"),
                             NameOverride = "Chaleco Antibalas1VE",
                             DescriptionOverride = "Chaleco Antibalas de los malo >:D",
                             CategoryOverride = ModAPI.FindCategory("Mexico"),
                             ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armaduras/upperThumbnail5.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Armadura/upper5.png", 1f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1000f;
                                 armor.armorPiece = "UpperBody"; //insert what part of body you want probably bulletproof armor gonna use UpperBody and MiddleBody
                                 armor.armorTier = 1000;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Rod"),
                             NameOverride = "Chaleco Antibalas2VE",
                             DescriptionOverride = "Chaleco antibalas de los malos >:)",
                             CategoryOverride = ModAPI.FindCategory("Mexico"),
                             ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armaduras/middleThumbnail5.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Armadura/middle5.png", 1f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1000f;
                                 armor.armorPiece = "MiddleBody"; //insert what part of body you want probably bulletproof armor gonna use UpperBody and MiddleBody
                                 armor.armorTier = 1000;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
ModAPI.Register(
                         new Modification()
                         {
                             OriginalItem = ModAPI.FindSpawnable("Rod"),
                             NameOverride = "Chaleco Antibalas3VE",
                             DescriptionOverride = "Chaleco antibalas de los malos",
                             CategoryOverride = ModAPI.FindCategory("Mexico"),
                             ThumbnailOverride = ModAPI.LoadSprite("Thumb/Armaduras/lowerThumbnail5.png", 1f),
                             AfterSpawn = (Instance) =>
                             {
                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Skin/Armadura/lower5.png", 1f);
                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                 armor.stabResistance = 1000f;
                                 armor.armorPiece = "LowerBody"; //insert what part of body you want probably bulletproof armor gonna use UpperBody and MiddleBody
                                 armor.armorTier = 1000;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                             }
                         }
                     );
        }
    }
}